Skip to main content
GET
Read Data Catalog Entry

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataCatalogEntryId
string
required

Response

200 - application/json

OK

id
string

The unique object identifier.

version
integer<int64>

Data integrity version to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

source
enum<string>

The type of entity this data catalog entry is associated with.

Available options:
CONNECTION,
DATA_TABLE
name
string

The display name of this data catalog entry.

description
string

A description of this data catalog entry.

columns
Data Catalog Entry Column · object[]

The columns provided by this data catalog entry.

uniqueIdentifier
string[]

List of column names that together form a unique record identifier

published
boolean

Indicates whether this data catalog entry is published and available for use.

connectionId
string

The connection ID from which data is imported.

tableId
string

The table ID within the related connection from which data is imported.